:host {
    --bs-light: #FFFFFF;
    --bs-dark: #4F4F4F;
    --bs-gray-h: #E9EBF2;
    --bs-gray-l: #7D8992;
    --bs-info: #17A2b8;
    --bs-danger: #DC3545;
    --bs-btn-primary-color: #FFFFFF;
    --bs-btn-primary-bg: #E86161;
    --bs-btn-primary-hover-bg:#C55252;
    --bs-btn-secondary-color: #80869B;
    --bs-btn-secondary-hover-color: #FFFFFF;
    --bs-btn-secondary-bg: #FFFFFF;
    --bs-btn-secondary-hover-bg: #80869B;
    --bs-input-bg: #F7F7F7;
    --bs-input-color: #F7F7F7;
    --bs-input-border: #CED4DA;
    --bs-border-radius: 6px;
    --bs-space: 30px;
    --bs-limit-w: 420px;

    font-family: system-ui, -apple-system, "Segoe UI", Roboto, "Helvetica Neue", "Noto Sans", "Liberation Sans", Arial, sans-serif;
    font-size: 16px;
}
@media all and (max-width: 680px) {
    :host {
        font-size: 14px;
    }
}

:host([orkg-small]) .btn-orkg {
    padding: calc(0.75 * var(--bs-border-radius)) calc(0.5 * var(--bs-space));
    font-size: 0.8em;
    border-radius: calc(0.75 * var(--bs-border-radius));
}

* {
    margin: 0;
    line-height: 1.5em;
}

.btn {
    cursor: pointer;
    border-radius: var(--bs-border-radius);
}
.btn-primary, .btn-secondary {
    padding: var(--bs-border-radius) var(--bs-space);
    font-size: 1em;
    border: 1px solid transparent;
    transition: all 400ms;
}
.btn-primary {
    background-color: var(--bs-btn-primary-bg);
    color: var(--bs-btn-primary-color);
    border-color: var(--bs-btn-primary-bg);
}
.btn-primary:hover {
    background-color: var(--bs-btn-primary-hover-bg);
    border-color: var(--bs-btn-primary-hover-bg);
}
.btn-secondary {
    background-color: var(--bs-btn-secondary-bg);
    color: var(--bs-btn-secondary-color);
    border-color: var(--bs-btn-secondary-hover-bg);
}
.btn-secondary:hover {
    background-color: var(--bs-btn-secondary-hover-bg);
    color: var(--bs-btn-secondary-hover-color);
}
.btn-orkg {
    display: flex;
    align-items: center;
    padding-left: calc(0.5 * var(--bs-space));
    padding-right: calc(0.5 * var(--bs-space));
    background-color: var(--bs-btn-secondary-bg);
    color: var(--bs-btn-primary-bg);
    transition: all 200ms;
}
.btn-orkg svg {
    margin-left: calc(0.35 * var(--bs-space));
    width: auto;
    height: 1.9em;
}
.btn-orkg svg, .btn-orkg svg * {
    transition: inherit;
}
.btn-orkg:hover {
    color: var(--bs-btn-secondary-hover-color);
}
.btn-orkg:hover svg * {
    fill: var(--bs-btn-secondary-hover-color);
}
.btn-close-cross {
    position: relative;
    width: 2em;
    height: 2em;
    background-color: transparent;
    border: none;
}
.btn-close-cross::before, .btn-close-cross::after {
    content: "";
    position: absolute;
    display: block;
    top: calc(50% - 1.2px);
    width: 1.65em;
    height: 2.4px;
    border-radius: 1.2px;
    background-color: var(--bs-btn-secondary-color);
}
.btn-close-cross::before {
    transform: rotate(45deg);
}
.btn-close-cross::after {
    transform: rotate(-45deg);
}
.btn-close-cross:hover {
    filter: brightness(0.75);
}

.modal {
    position: fixed;
    display: flex;
    flex-direction: column;
    align-items: center;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    max-width: none;
    max-height: none;
    overflow-x: hidden;
    overflow-y: scroll;
    transition: all 400ms;
    box-sizing: border-box;
    z-index: 1000;
    pointer-events: none;
    opacity: 0.0;
}
.modal.active {
    pointer-events: auto;
    opacity: 1.0;
}
.modal::before {
    content: "";
    position: fixed;
    display: block;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: var(--bs-dark);
    opacity: 0.25;
}

.modal-wrapper {
    position: absolute;
    margin: calc(3 * var(--bs-space)) var(--bs-space);
    max-width: 100%;
    background-color: var(--bs-light);
    color: var(--bs-dark);
    font-size: 1em;
    line-height: 1.25em;
    border-radius: var(--bs-border-radius);
    box-shadow: rgba(0, 0, 0, 0.13) 0px 0px 8px 0px;
    transform: translateY(4rem);
    transition: all 400ms;
    opacity: 0.0;
    pointer-events: none;
    visibility: collapse;
    z-index: 1;
}
@media all and (max-width: 680px) {
    .modal-wrapper {
        max-width: calc(100vw - 1em);
    }
}
.modal-wrapper.active {
    position: relative;
    transform: translateY(0);
    opacity: 1.0;
    pointer-events: auto;
    visibility: visible;
}

.modal-wrapper p {
    align-self: flex-start;
    min-width: var(--bs-limit-w);
}
.modal-wrapper p a {
    color: inherit;
}
.modal-wrapper p a:hover {
    color: var(--bs-btn-primary-hover-bg);
}

.modal-wrapper-header,
.modal-wrapper-main,
.modal-wrapper-footer {
    padding: calc(0.875 * var(--bs-space));
}

.modal-wrapper-header {
    padding-top: calc(0.75 * var(--bs-space));
    padding-bottom: calc(0.75 * var(--bs-space));
}

.modal-wrapper-header, .modal-wrapper-header > * {
    display: flex;
    justify-content: space-between;
    align-items: center;
}
.modal-wrapper-header {
    border-bottom: 3px solid var(--bs-gray-h);
}
.modal-wrapper-header h2, .modal-wrapper-header h3 {
    font-size: 1.8em;
    font-weight: 400;
}
.modal-wrapper-header h2 {
    font-size: 1.5rem;
}
.modal-wrapper-header h3 {
    font-size: 1.3rem;
}
.modal-wrapper-header a {
    margin-left: calc(0.25 * var(--bs-space));
    height: 3em;
    transition: all 400ms;
}
.modal-wrapper-header a:hover {
    filter: brightness(0.75);
}
.modal-wrapper-header svg {
    height: 100%;
}

.modal-wrapper-main {
    width: min-content;
}
.modal-wrapper-main > *:not(:last-child) {
    margin-bottom: calc(0.5 * var(--bs-space));
}
.modal-wrapper-footer {
    display: flex;
    align-items: center;
    justify-content: center;
    padding-top: 0;
}

.modal-wrapper table {
    margin-bottom: calc(-0.55 * var(--bs-space));
    width: fit-content;
    border-spacing: 0;
}
.modal-wrapper table tbody {
    margin-bottom: -1em;
}

.modal-wrapper table th,
.modal-wrapper table td {
    text-align: left;
}
.modal-wrapper table th {
    padding: 0 calc(0.5 * var(--bs-space));
    padding-bottom: calc(0.5 * var(--bs-space));
    text-align: left;
    white-space: nowrap;
}
.modal-wrapper table td {
    position: relative;
    vertical-align: top;
    padding: calc(0.5 * var(--bs-space));
    font-size: 0.9em;
}

.modal-wrapper table th i {
    cursor: pointer;
    display: inline-block;
    margin-left: calc(0.1 * var(--bs-space));
    width: 1.25em;
    height: 1.25em;
    color: var(--bs-btn-secondary-color);
    font-size: 0.5em;
    font-weight: normal;
    font-style: normal;
    text-align: center;
    line-height: 1.25em;
    border: 1px solid var(--bs-btn-secondary-color);
    border-radius: 100%;
    transform: translateY(calc(-0.15 * var(--bs-space)));
}

.modal-wrapper table tbody tr:nth-of-type(odd) td {
    border-top: 1px solid var(--bs-gray-h);
}
.modal-wrapper table tbody tr:nth-of-type(odd) td:first-child {
    border-top: 1px solid var(--bs-gray-h);
    border-left: 1px solid var(--bs-gray-h);
    border-top-left-radius: var(--bs-border-radius);
}
.modal-wrapper table tbody tr:nth-of-type(odd) td:last-child {
    border-top: 1px solid var(--bs-gray-h);
    border-right: 1px solid var(--bs-gray-h);
    border-top-right-radius: var(--bs-border-radius);
}
.modal-wrapper table td[colspan] {
    padding-top: 0;
    background-color: var(--bs-light);
}
.modal-wrapper table td[colspan="1"] {
    border-bottom: 1px solid var(--bs-gray-h);
    border-left: 1px solid var(--bs-gray-h);
    border-bottom-left-radius: var(--bs-border-radius);
}
.modal-wrapper table td[colspan="2"] {
    width: 100%;
    color: var(--bs-dark);
    font-size: 0.85em;
    border-bottom: 1px solid var(--bs-gray-h);
    border-right: 1px solid var(--bs-gray-h);
    border-bottom-right-radius: var(--bs-border-radius);
}
.modal-wrapper table tr.disabled + tr td[colspan="2"] {
    padding-bottom: 0;
}
.modal-wrapper table td[colspan="2"] a {
    display: block;
    margin-right: calc(0.25 * var(--bs-space));
    margin-bottom: calc(0.2 * var(--bs-space));
    width: fit-content;
    color: var(--bs-gray-l);
    text-decoration: none;
}
.modal-wrapper table td[colspan="2"] a:hover {
    color: var(--bs-btn-primary-bg);
    text-decoration: underline;
}

.modal-wrapper table br {
    content: "";
    display: block;
    margin: calc(0.25 * var(--bs-space));
}

.candidate-select-list {
    display: flex;
    flex-direction: row;
    list-style: none;
    padding: 0;
}
.candidate-select-list > *:not(:last-child) {
    margin-right: calc(0.25 * var(--bs-space));
}
@media all and (max-width: 680px) {
    .candidate-select-list {
        flex-direction: column;
        font-size: 0.95em;
    }
    .candidate-select-list > *:not(:last-child) {
        margin-bottom: calc(0.5 * var(--bs-space));
        margin-right: 0;
    }
}
.candidate-select {
    display: block;
    white-space: nowrap;
    padding: 0.15em 0.65em;
    background-color: var(--bs-gray-h);
    font-family: monospace;
    font-size: 0.975em;
    border: 1.5px solid var(--bs-gray-h);
    border-radius: calc(0.75 * var(--bs-border-radius));
    opacity: 0.75;
    user-select: none;
}
.candidate-select + .candidate-select {
    margin-top: calc(0.25 * var(--bs-space));
}
.candidate-select:hover {
    border-color: var(--bs-info);
}
.candidate-select.active {
    background-color: var(--bs-light);
    border-color: var(--bs-info);
    opacity: 1.0;
}

.modal-wrapper button + button {
    margin-left: calc(0.75 * var(--bs-space));
}

.modal-wrapper-error {
    color: var(--bs-danger);
}
.modal-wrapper-error span:last-of-type {
    display: none;
}
.modal-wrapper-error span:first-of-type:empty {
    display: none;
}
.modal-wrapper-error span:first-of-type:empty + span {
    display: block;
}

.modal-wrapper-score {
    display: flex;
    align-items: center;
}
.modal-wrapper-score-bar {
    margin-right: calc(0.5 * var(--bs-space));
    width: 7.5ch;
    height: 0.6em;
    background-color: var(--bs-gray-h);
    border-radius: 0.3em;
}
.modal-wrapper-score-bar > div {
    height: 100%;
    border-radius: 0.3em;
}
.modal-wrapper-score-num {
    display: inline-block;
    min-width: 5ch;
    text-align: right;
    font-size: 1.1175em;
    font-weight: bold;
}

@keyframes shine {
    0%, 100% {
        opacity: 0.75;
    }
    50% {
        opacity: 0.5;
    }
}

.modal-wrapper-placeholder::before {
    content: "";
    display: block;
    margin-bottom: 1rem;
    width: 75%;
    min-width: calc(0.375 * var(--bs-limit-w));
    height: 1.5rem;
    background-color: var(--bs-gray-h);
    border-radius: calc(0.5 * var(--bs-border-radius));
    animation-name: shine;
    animation-duration: 3s;
    animation-iteration-count: infinite;
}

.modal-wrapper form {
    display: flex;
    flex-direction: column;
    align-items: center;
    margin: auto;
    min-width: var(--bs-limit-w);
}
.modal-wrapper form.error input {
    color: var(--bs-danger);
    border-color: var(--bs-danger);
}
.modal-wrapper form label {
    align-self: flex-start;
    margin-bottom: calc(0.25 * var(--bs-space));
    color: var(--bs-gray-l)
}
.modal-wrapper form label:not(:first-child) {
    margin-top: calc(0.5 * var(--bs-space));
}
.modal-wrapper form input {
    padding: 0.375rem 0.75rem;
    width: 100%;
    background-color: var(--bs-input-bg);
    color: inherit;
    font-family: inherit;
    font-size: inherit;
    border: 1px solid var(--bs-input-border);
    border-radius: var(--bs-border-radius);
    box-sizing: border-box;
}
.modal-wrapper form input:focus {
    outline: none;
}
.modal-wrapper form a {
    margin-top: 1rem;
}

.modal-wrapper a {
    cursor: pointer;
    color: var(--bs-btn-primary-bg);
    text-decoration: underline;
}

.disabled {
    opacity: 0.5 !important;
    pointer-events: none;
}
.invisible {
    opacity: 0.0 !important;
    pointer-events: none;
}
.hidden {
    display: none !important;
}
.light {
    color: var(--bs-gray-l);
}
.blocked > * {
    pointer-events: none;
    animation-name: shine;
    animation-duration: 3s;
    animation-iteration-count: infinite;
}